
<?php
/*
Plugin Name: swell_toc_highlight
Plugin URI: https://affiliate-biz.jp/swell_toc_highlight
Description: SWELLの目次をハイライト表示する。　Highlight TOC for WordPress Theme Swell
Author: pen@あふぃぶ
Author URI: https://affiliate-biz.jp/about
Version: 1.0.0
*/
add_action( 'wp_head', 'afb_highlight_toc_css' );
function afb_highlight_toc_css(){
  echo '<style>a.p-toc__link.current {background-color: var(--color_capbox_02_bg);}}</style>';
}
function swell_toc_highlight() {
  echo <<< EOM
  <script>
  const highlight = (e) => {
    var elem = document.querySelectorAll('.widget_swell_index a');
    var elem2 = document.querySelectorAll('.-modal a');  
    if (elem === null) { 
        return 0;
    } else {        
      for (var i = 0; i < elem.length; i++) {
        const y = document.documentElement.clientHeight;
        const a = document.getElementById( elem[i].hash.slice(1) ).getBoundingClientRect().top;
        if( y > a ){
            elem[i].classList.add("current");elem2[i].classList.add("current");
            if ( i>0 ){
            elem[0].classList.remove("current");elem2[0].classList.remove("current");
            elem[i-1].classList.remove("current");elem2[i-1].classList.remove("current");
            }
        } else {
          elem[i].classList.remove("current");elem2[i].classList.remove("current");
        }
      }  
    }
  };
  window.addEventListener("scroll", highlight);
  </script>
  EOM;
  }
add_action( 'wp_print_footer_scripts', 'swell_toc_highlight' );
